Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisFormatterContext_ Struct Reference

Context structure that that is passed to all formatter. More...

`#include <Formatter.h>`

## Data Fields
const ZydisDecodedInstruction * | instruction
| A pointer to the ZydisDecodedInstruction struct.
const ZydisDecodedOperand * | operands
| A pointer to the first ZydisDecodedOperand struct of the instruction.
const ZydisDecodedOperand * | operand
| A pointer to the ZydisDecodedOperand struct.
ZyanU64 | runtime_address
| The runtime address of the instruction.
void * | user_data
| A pointer to user-defined data.

## Detailed Description

Context structure that that is passed to all formatter.

## Field Documentation

## ◆ instruction

const ZydisDecodedInstruction* instruction

A pointer to the ZydisDecodedInstruction struct.

## ◆ operand

const ZydisDecodedOperand* operand

A pointer to the ZydisDecodedOperand struct.

## ◆ operands

const ZydisDecodedOperand* operands

A pointer to the first ZydisDecodedOperand struct of the instruction.

## ◆ runtime_address

ZyanU64 runtime_address

The runtime address of the instruction.

## ◆ user_data

void* user_data

A pointer to user-defined data.

This is the value that was previously passed as the user_data argument to ZydisFormatterFormatInstruction or ZydisFormatterTokenizeOperand.

The documentation for this struct was generated from the following file:

- include/Zydis/Formatter.h